# Co-op Cloud Windows Deployment Guide
## Guide to Deploying Co-op Cloud Libre Apps from Windows 10

This guide is for Windows administrators who wish to manage [Co-op Cloud's](https://coopcloud.tech/) libre software applications from their local Windows computers. It provides step-by-step instructions to deploy Co-op Cloud apps. It assumes you have a lot of experience administrating Windows 10 systems. You don't need a lot of experience with Linux operating systems (also known as Linux distributions.)

This document is largely based on <https://docs.coopcloud.tech/deploy/>

Here are the steps in this guide:
1. [Create a yolo.servers.coop account](md/create-acct.md)
1. [Upload a public ssh key to your account](md/upload-pub-key.md)
1. [Add funds and create a capsul](md/create_capsul.md)
1. [Use SSH to login to Capsul from Windows](md/ssh-to-capsul-from-win.md)
1. [Set up DNS records to link capsul with a domain name](md/setup-dns.md)
1. [Install docker engine on capsul](md/inst-docker-on-capsul.md)
1. [Install WSL2 and Linux on Windows 10](md/inst-wsl2-linux.md)
1. [Install abra on WSL2 Linux](md/inst-abra.md)
1. [SSH login to Capsul from WSL2 Linux](md/ssh-to-capsul-from-wsl.md)
1. [Create and Initialize Server Context](md/setup-server.md)
1. [Add and deploy Traefik](md/add-traefik-deploy.md)
1. [Add and deploy your first app](md/add-1stapp-deploy.md)
1. [Where to go next](md/finish.md)

*I owe much gratitude to [@3wc](https://matrix.to/#/@3wc:autonomic.zone) for all of their patience and assistance.*  
*Author: [timewarp](https://matrix.to/#/@timewarp:matrix.org)*