# Install Abra on Local Linux System

After installing WSL2 and Debian (or other Linux distribution) on your Windows system, you are ready to install the *abra* tool.

Here is the description of abra from it's git repository: abra is a command-line tool for managing your own Co-op Cloud. It can provision new servers, create applications, deploy them, run backup and restore operations and a whole lot of other things. It is the go-to tool for day-to-day operations when managing a Co-op Cloud instance. Abra is undergoing a rewrite and so it is deprecated. It's still in use on a daily basis, but it will be replaced.

1. On a fresh Debian installation, you should run the following two commands to upgrade it:

    >sudo apt-get update

    ![update](../res/install-abra-wsl2-linux/apt-get-update.png)

    Note that Linux gives you a warning about having "received the usual lecture from the local System Administrator." This is because the `sudo` command gives the command you type (`apt-get update` in this case) "root" privileges. Using `sudo` is similar to when you are doing something in Windows and the `User Account Control` window pops up and asks you to confirm before continuing with an action requiring elevated privileges. Whenever you type `sudo` in a Linux system, be aware you are using elevated system privileges. 

    >sudo apt-get upgrade

    ![upgrade](../res/install-abra-wsl2-linux/apt-get-upgrade.png)

1. To download the script which will install abra, we need *curl*. Install curl and check it:

    > sudo apt install curl

    ![inst-curl](../res/install-abra-wsl2-linux/inst-curl.png)
![check-curl](../res/install-abra-wsl2-linux/chk-curl.png)
    

1. Now we are ready to get the abra installation script:
![inst-abra-locally](../res/install-abra-wsl2-linux/get-abra-inst.png)
![dl-abra](../res/install-abra-wsl2-linux/dl-abra-inst-script.png)

1. Run the abra installation script with bash:
![inst-abra](../res/install-abra-wsl2-linux/inst-abra.png)

1. The abra installation script will ask you if you want to install *docker*. Answer "y"
![inst-docker](../res/install-abra-wsl2-linux/inst-docker.png)

1. When abra installation script completes, update your PATH.
![update-path](../res/install-abra-wsl2-linux/update-path.png)

|  [Previous](inst-wsl2-linux.md)  |  [Next](ssh-to-capsul-from-wsl.md)  |  [Top](../README.md)  |
