# Upload Public SSH Key to Your Yolo Account

There is no front-end to your capsul. All access to it will be remote, for example, with *ssh*. You need to create SSH keys and upload your public key to your account before you can create a capsul.

This guide explains how to create SSH Keys on your local Windows computer. The steps describe using Window's built-in OpenSSH feature. If you prefer [PuTTY](https://en.wikipedia.org/wiki/PuTTY), you can skip to step 5.

1. Open an Administrator PowerShell window. 
    ![open administrator powershell on windows](../res/upload-pub-key/08-win-admin-power-shell.png)

1. Use the *get-WindowsCapability* command to find out if Windows already has the OpenSSH client installed.

    >get-WindowsCapability -Online | ? Name -like 'OpenSSH.client*'

    ![is openssh client installed on windows?](../res/upload-pub-key/09-win-is-openssh-installed.png)
    If you see "State : Installed" in the response, you don't need to add it. If it is not installed, use the *Add-WindowsCapability* command to add it.

    > Add-WindowsCapability -Online -Name OpenSSH.client~~~~0.0.1.0

    ![install openssh client on windows if needed](../res/upload-pub-key/10-win-install-OpenSSH.png)

1. Open the Windows cmd.exe command window. Make sure you have a subdirectory named .ssh in your home directory.

    > cmd.exe  
    cd %USERPROFILE%  
    dir .ssh  
    mkdir .ssh  
    c:\windows\system32\OpenSSH\ssh-keygen.exe  

    Run *ssh-keygen.exe* to generate an SSH key pair. Press *enter* key to accept the default filename. Press *enter* key twice to skip adding a passphrase. Your key pair identification is then saved in the *.ssh* subdirectory. You will see a key fingerprint ending in `your-windows-username@your-windows-hostname`. You'll also see the key's randomart image.

    ![create ssh key using ssh-keygen.exe](../res/upload-pub-key/11-win-ssh-keygen.png)

1. Launch Notepad.exe and open file *c:\users\userid\\.ssh\id_rsa.pub*. Select all of the file's contents and copy to the clipboard.

    ![copy public ssh key to clipboard](../res/upload-pub-key/12-win-notepad-cp-pub-ssh-key.png)

1. Open your browser and go to the [**SSH PUBLIC KEYS**](https://yolo.servers.coop/console/keys) page in your browser. You'll see a box labeled *File Contents*. Paste your public key from the clipboard into the box. Then, click the *Upload* button.

    ![paste public key into yolo SSH PUBLIC KEYS page](../res/upload-pub-key/13-yolo-paste-public-key.png)

1. Your uploaded public key will appear near the top of the page. ![your uploaded public key appears on yolo page](../res/upload-pub-key/14-yolo-SSH-key-uploaded.png "your uploaded public key appears on yolo page")

*Congratulations, you have uploaded your public SSH key to your yolo account.*

|  [Previous](create-acct.md)  |  [Next](create_capsul.md)  |  [Top](../README.md)  |
